Orders
Authorizations
AuthorizationstringRequired
Prefix the value with "ApiKey" to indicate the custom authorization type
Query parameters
pageinteger · int32OptionalDefault:
The page number to request (1 based)
1Example: 1sizeinteger · int32OptionalDefault:
The number of results to return in a page
100Example: 10personIdstring · uuidOptionalExample:
The ID of the person to return orders for
d7d0d906-425f-402f-bde1-39031c67c40bstartDatestring · date-timeOptionalExample:
UTC Date-time to filter orders created after (ISO-8601 without timezone)
2007-12-03T10:15:30endDatestring · date-timeOptionalExample:
UTC Date-time to filter orders created before (ISO-8601 without timezone)
2007-12-03T10:15:30Responses
200
OK
application/json
idstring · uuidRequiredExample:
Order's ID
123e4567-e89b-12d3-a456-426614174000personIdstring · uuidRequiredExample:
The ID of the Person
d7d0d906-425f-402f-bde1-39031c67c40bstatusstring · enumRequiredExample:
Order's status
COMPLETEDPossible values: 400
Bad request
application/json
403
Forbidden
*/*
404
Resource not found
application/json
get
/api/ordersAuthorizations
AuthorizationstringRequired
Prefix the value with "ApiKey" to indicate the custom authorization type
Path parameters
orderIdstring · uuidRequired
Responses
200
OK
application/json
idstring · uuidRequiredExample:
Order's ID
123e4567-e89b-12d3-a456-426614174000personIdstring · uuidRequiredExample:
The ID of the Person
d7d0d906-425f-402f-bde1-39031c67c40bstatusstring · enumRequiredExample:
Order's status
COMPLETEDPossible values: 400
Bad request
application/json
403
Forbidden
*/*
404
Resource not found
application/json
get
/api/orders/{orderId}Authorizations
AuthorizationstringRequired
Prefix the value with "ApiKey" to indicate the custom authorization type
Body
Request body
personIdstring · uuidRequired
Responses
200
OK
application/json
orderIdstring · uuidRequired
itemIdsstring · uuid[]Required
400
Bad request
application/json
403
Forbidden
*/*
404
Resource not found
application/json
post
/api/ordersLast updated